Loading...
Searching...
No Matches
QDjangoMetaField Class Reference

The QDjangoMetaField class holds the database schema for a field. More...

`#include <QDjangoMetaModel.h>`

## Public Member Functions

| QDjangoMetaField ()
| Constructs a new QDjangoMetaField.
| QDjangoMetaField (const QDjangoMetaField &other)
| Constructs a copy of other.
| ~QDjangoMetaField ()
| Destroys the meta field.
QDjangoMetaField & | operator= (const QDjangoMetaField &other)
| Assigns other to this meta field.
QString | column () const
| Returns the database column for this meta field.
bool | isAutoIncrement () const
| Returns true if this field is auto incremented.
bool | isBlank () const
| Returns true if this field can be empty.
bool | isNullable () const
| Returns true if this field is nullable.
bool | isUnique () const
| Returns true if this field is unique.
bool | isValid () const
| Returns true if this is a valid field.
QString | name () const
| Returns name of this meta field.
int | maxLength () const
| Returns the max length of this field.
QVariant | toDatabase (const QVariant &value) const
| Transforms the given field value for database storage.

## Friends

class | QDjangoMetaModel

## Detailed Description

The QDjangoMetaField class holds the database schema for a field.

The documentation for this class was generated from the following files:

- QDjangoMetaModel.h
- QDjangoMetaModel.cpp